Subject: Re: FVWM: move with fvwm-2.039

From: [email-masked]
Date: Fri, 01 Dec 95 22:58:42 +0100

Since I have had no response to my original problem, maybe someone can tell me 
where to look to try and understand what is going on.  As it stands I cannot 
use
fvwm2 (pl39) at all.

Original mail was:
> Hi,
> 
> We have been working with fvwm 1.24r until now.  Today I got hold of fvwm2.039.
> It built without problems, but I have a bizarre behaviour when trying to move
> a window - instead of following the mouse the window will jump down the screen
> and will only move left or right (even when moving the mouse up/down 
> left/right).  Releasing the mouse button - the window will jump again...the
> usual result is that the window goes offscreen somewhere. This happens with
> move from the window-ops menu or just by clicking on the title bar. 
>  Second - maybe related - problem is the pager.  Here clicking on the desired 
> desktop does not work - focus jumps to another....
> 
>  I have tried with both the sample.fvwmrc that came with the distribution and
> my own converted .fvwmrc - the results are the same.
> 
> The system is DEC alpha OSF1/3.2a , compiler was "cc -migrate" but I have tried
> also with "cc" both with and without the optimiser - same results.
> 
> Anyone have any ideas??
> 
> Thanks,
> 
>      Ian Bird.

--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: <[email-masked]> (Charles Hines)
Date: Mon, 4 Dec 1995 08:50:34 -0500

>>>>> "igb" == igb  <[email-masked]> writes:

igb> Since I have had no response to my original problem, maybe
igb> someone can tell me where to look to try and understand what is
igb> going on.  As it stands I cannot use fvwm2 (pl39) at all.

I didn't respond initially because I hoped that another DEC Alpha user
would speak up.  I've never heard or seen anything like this myself
(on any platform).  I know that there are other Alpha users out there
that have been using the 2.xx series without seeing this.

igb> Original mail was:
>> Hi,
>>
>> We have been working with fvwm 1.24r until now.  Today I got hold
>> of fvwm2.039.  It built without problems, but I have a bizarre
>> behaviour when trying to move a window - instead of following the
>> mouse the window will jump down the screen and will only move left
>> or right (even when moving the mouse up/down left/right).
>> Releasing the mouse button - the window will jump again...the usual
>> result is that the window goes offscreen somewhere. This happens
>> with move from the window-ops menu or just by clicking on the title
>> bar.  Second - maybe related - problem is the pager.  Here clicking
>> on the desired desktop does not work - focus jumps to another....
>>
>> I have tried with both the sample.fvwmrc that came with the
>> distribution and my own converted .fvwmrc - the results are the
>> same.
>>
>> The system is DEC alpha OSF1/3.2a , compiler was "cc -migrate" but
>> I have tried also with "cc" both with and without the optimiser -
>> same results.
>>
>> Anyone have any ideas??
>>
>> Thanks,
>>
>> Ian Bird.

Chuck

*******************************************************************************
Charles K. Hines <[email-masked]>
IBM Logic Synthesis developer [BooleDozer (TM)]
Martial Arts Instructor [Modern Arnis, Presas Style Filipino Martial Arts]

IBM Internal email:                        "I have a paper plate in my head
  [email-masked],              because they were all out of the
  HINESC at FISHKILL, HINESC at FSHVMFK1    metal ones" - Rick Overton
*******************************************************************************
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Chris Rode <[email-masked]>
Date: Mon, 04 Dec 1995 10:23:38 CST

[email-masked] writes:

} >>>>> "igb" == igb  <[email-masked]> writes:
} 
} igb> Since I have had no response to my original problem, maybe
} igb> someone can tell me where to look to try and understand what is
} igb> going on.  As it stands I cannot use fvwm2 (pl39) at all.
} 
} I didn't respond initially because I hoped that another DEC Alpha user
} would speak up.  I've never heard or seen anything like this myself
} (on any platform).  I know that there are other Alpha users out there
} that have been using the 2.xx series without seeing this.

i'm using 2.0.39 on DEC alphas running OSF/1 2.1 and OSF/1 3.2, and have
had no problems like this...

} igb> Original mail was:
} >>
} >> The system is DEC alpha OSF1/3.2a , compiler was "cc -migrate" but
} >> I have tried also with "cc" both with and without the optimiser -
} >> same results.
} >>
} >> Anyone have any ideas??

i compiled with gcc, but i doubt if that's the source of your problem...

--chris

--
chris rode - [email-masked] - http://www.public.iastate.edu/~crode/
oh that i should be ever so lonely, drivin' the pain right through to my
heart, oh that i should be ever so lonely, ridin' the pain like a fool
in the dark --erasure, "rescue me" - "but i don't understand!" *sluurp!*
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Curt Smith <[email-masked]>
Date: Mon, 4 Dec 1995 15:15:23 -0500 (EST)

> i compiled with gcc, but i doubt if that's the source of your problem...

DEC Unix 3.2x added a subtle dependancy on libots.so.  This is a math library.
We've built many apps that link fine, start fine, but incure a run time symbol
not resolved long after the app has started.  It does spit out a nasty message
to stderr, but depending on how you started fvwm, you may not see this message.

Furture more, gcc substitutes it's own math lib and we've also seen apps that
where compiled with gcc did not groak.

So add: -lots to the link line for fvwm... ;-(

curt smith

---

From: Douglas Ghormley <[email-masked]>
Date: Wed, 6 Dec 1995 21:39:09 -0800

[Sorry about that last bogus message.]

> >> on the desired desktop does not work - focus jumps to another....

I had *exactly* this same problem and it drove me nuts.  The problem
turned out to be that I was linking with some old X libraries, from
OSF1/1.3 -- I think they were X11R4 or maybe 5.  But the include files
were for X11R6 -- somewhere along the line the <x,y> coordinates in
some event structures got shifted around.  The solution was to delete
the told X library and link with the correct ones.  The problem
promptly vanished.

Hope this works for you, too.

Doug